# Gateway API

Our public APIs enable clients to integrate with the Gateway API server. Our APIs use RESTful architecture, conform with OpenAPI specifications, and are PCI-DSS compliant.

### Request IDs

Every response — successful or not — includes an `x-request-id` header containing a GUID that uniquely identifies the request.

```http
x-request-id: 73039bd9-c380-4186-bffe-259125144a56
```

Log this value with your request and supply it when contacting support so that a specific request can be traced.

### Mock responses in this reference

Requests sent from this reference go to a mock server, not the live gateway. Responses are generated from the examples in this description, so the values in them are illustrative and must not be used in a real integration. See the production server in the Servers list for live testing.

Version: 1.0.0-beta.23
License: Gateway API

## Servers

development server
```
https://api.dev.paradisegateway.net
```

sandbox server
```
https://api.sandbox.paradisegateway.net
```

production server
```
https://api.paradisegateway.net
```

## Security

### ApiKeyAuth

[object Object],[object Object],[object Object],[object Object]

Type: apiKey
In: header
Name: Api-Key

## Download OpenAPI description

 - [Gateway API](https://developer.myparadisepay.com/_bundle/apis/openapi.yaml)

## Send transactions

 - [POST /v1/transactions](https://developer.myparadisepay.com/apis/openapi/send-transactions/createtransaction.md): Create a payment transaction via a payment card (credit or debit). - A `SALE` transaction authorizes and captures the payment simultaneously. - An `AUTH` transaction authorizes the payment and require
 - [POST /v1/transactions/{id}/capture](https://developer.myparadisepay.com/apis/openapi/send-transactions/capturetransaction.md): Capture an authorized transaction. A captured transaction will be settled during the next scheduled batch closure and funds will be transferred from the cardholder's account to the merchant's accoun
 - [POST /v1/transactions/{id}/cancel](https://developer.myparadisepay.com/apis/openapi/send-transactions/canceltransaction.md): Cancel (void) a transaction or refund a transaction. - Select type `VOID` to void a transaction before settlement. - Select type `REFUND` to refund a transaction after settlement.
## Transaction reports

 - [GET /v1/transactions](https://developer.myparadisepay.com/apis/openapi/transaction-reports/listtransactions.md): Return a list of payment transactions for a merchant account. Use the query parameters to filter and sort the results. ### Examples **50 approved Sale transactions:** ```http GET /v1/transactions?ty
 - [GET /v1/transactions/{id}](https://developer.myparadisepay.com/apis/openapi/transaction-reports/retrievetransaction.md): Retrieve the details of a specific transaction.
## Close batches

 - [POST /v1/batches/close](https://developer.myparadisepay.com/apis/openapi/close-batches/closebatch.md): Manually close a batch of transactions. Closing a batch initiates the settlement process for all captured transactions in the batch.
## Batch reports

 - [GET /v1/batches](https://developer.myparadisepay.com/apis/openapi/batch-reports/listbatches.md): Return a list of batches. Use the query parameters to filter and sort the results.
 - [GET /v1/batches/status](https://developer.myparadisepay.com/apis/openapi/batch-reports/listbatchstatus.md): Return the status of batches for a client.
 - [GET /v1/batches/transactions](https://developer.myparadisepay.com/apis/openapi/batch-reports/listbatchtransactionsunknownbatchid.md): Return a list of transactions in a batch without a batch ID. Use this endpoint to return a list of transactions in an open batch. Open batches do not have a batch ID. (Batch ID assigned when settlemen
 - [GET /v1/batches/{id}/transactions](https://developer.myparadisepay.com/apis/openapi/batch-reports/listbatchtransactions.md): Return a list of transactions in a batch.
## Client management

 - [POST /v1/clients](https://developer.myparadisepay.com/apis/openapi/client-management/createclient.md): Create a new client account. Client types include `reseller` and `merchant`.
 - [POST /v1/clients/{clientId}](https://developer.myparadisepay.com/apis/openapi/client-management/updateclient.md): Update an existing client account.
## Client reports

 - [GET /v1/clients](https://developer.myparadisepay.com/apis/openapi/client-reports/listclients.md): Return a list of all client accounts.
 - [GET /v1/clients/{clientId}](https://developer.myparadisepay.com/apis/openapi/client-reports/getclient.md): Retrieve details of a specific client account.
## Integration management

 - [POST /v1/integrations](https://developer.myparadisepay.com/apis/openapi/integration-management/createintegration.md): Create an integration with a third-party service provider, including payment processors, tokenization services, and other payment services.
 - [POST /v1/integrations/{id}](https://developer.myparadisepay.com/apis/openapi/integration-management/updateintegration.md): Update an existing integration with a third-party service provider.
## Integration reports

 - [GET /v1/integrations](https://developer.myparadisepay.com/apis/openapi/integration-reports/listintegrations.md): Return a list of all integrations that the client account has onboarded with.
 - [GET /v1/integrations/{id}](https://developer.myparadisepay.com/apis/openapi/integration-reports/getintegration.md): Retrieve details of a specific integration.
 - [GET /v1/integrations/summary/{id}](https://developer.myparadisepay.com/apis/openapi/integration-reports/listintegrationsummary.md): Return a summary list of integrations for a specific client.
